Forum Clubic

V4l sous Linux 2.6.27 = pétage de cable

je m’en remet à vous cette fois, avant de craquer.

pendant un temps j’avais un problème avec ma webcam. faute à ubuntu qui compile dans son noyal un driver deprecié en parallèle de gspca.
la solution la plus simple que j’ai trouvé est de pomper la branche stable du projet v4l-dvb et desactivr ce vieux driver.

seulement cette solution me cause un nouveau problème…
plus possible de compiler ou utiliser le driver em28xx pour mon tuner tnt (Pinnacle USB Stick (ID eb1a:2870 eMPIA Technology, Inc.))
essqyé les differente solution (em28xx-new, v4l-dvb-experimental, pinnacle-driver, …)

si quelqu’un connais une astuce…

Surement aucune si tu ne recompiles pas un noyau toi même.
Ils ont du péter l’API (c’est tellement courant de péter un API dans le noyau).
Un bon 2.6.28 ou un 2.6.29-rc7 et ça devrait le faire non?

vu les decoupage des modules en plusieurs paquets d’ubuntu, j’ai pas trop le courage de m’y risquer…

Non non ça marche très bien. Comme sur debian.
make-kpkg clean
make menuconfig
make-kpkg --initrd --append-to-version -1 linux-image
ça se pond un .deb
dpkg -i la chose et paf…mais je suppose que tu connais tout ça.

Même en mettant tout en dur, je ne suis jamais arrivé à booter un noyau sans initrd sur ubuntu…mais bon je n’ai tenté que deux fois